Chat
Delete one attachment while preserving the chat message.
Delete one attachment while preserving the chat message. The request enforces thread membership and content visibility for the authenticated caller.
DELETE
/
api
/
v1
/
chat
/
threads
/
{threadId}
/
messages
/
{messageId}
/
attachments
/
{storageEntryId}
Delete one attachment while preserving the chat message.
curl --request DELETE \
--url https://api.revoengine.com/api/v1/chat/threads/{threadId}/messages/{messageId}/attachments/{storageEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 1
}'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 1})
};
fetch('https://api.revoengine.com/api/v1/chat/threads/{threadId}/messages/{messageId}/attachments/{storageEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/chat/threads/{threadId}/messages/{messageId}/attachments/{storageEntryId}"
payload = { "version": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)⌘I
Delete one attachment while preserving the chat message.
curl --request DELETE \
--url https://api.revoengine.com/api/v1/chat/threads/{threadId}/messages/{messageId}/attachments/{storageEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 1
}'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 1})
};
fetch('https://api.revoengine.com/api/v1/chat/threads/{threadId}/messages/{messageId}/attachments/{storageEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/chat/threads/{threadId}/messages/{messageId}/attachments/{storageEntryId}"
payload = { "version": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)
